Fórum pro uživatele kancelářského balíku OpenOffice | LibreOffice
 

#1 3. 11. 2017 10:28:39

Senior80
Člen
Registrace: 1. 11. 2017
Příspěvků: 1

Vyžadováno JRE pro BASE

Libre Office vyžaduje pro práci s BASE JRE , tj. JRE JAVA? Nainstaloval jsem aktuální JRE Java do stejné složky jako Libre Office. Nefunguje to a program se zablokuje a ukončí se jen pomocí správce úloh. Senior80

Offline

#2 3. 11. 2017 13:04:25

neutr
Člen
Registrace: 8. 3. 2007
Příspěvků: 2,405

Re: Vyžadováno JRE pro BASE

Problém je v tom, že JRE (Java Runtime Enviroment) se instaluje pro OS (operační systém). Proto je zřejmě nesprávně nainstalováno. Existuje ještě "Java SE Runtime Enviroment" - tohle jsem netestoval ale zřejmě to není totéž. Ale evidentně jde o JDBC - cituji dole. Přes to si myslím že to není správně - mělo by to být pouze JRE bez toho SE.
     Správná verze pro 32 bitů je JRE 1.6.0 ale uvedené aktuální verze se musí upravit. Úprava je zde úprava JRE pro Windows 32 bitů
     Je to anglicky takže pravděpodobně musíte použíte překladač Google. Na stránce předchozí té kterou odkazuji popisují tuto skutečnost jako známý problém. V základu jde o verzi 64 bitů a musí se upravit zápisem do registru.


     Takže instalace je normálně mezi programy Windows a následně by to mělo Libre Office najít (chvilku to trvá) Postup : NÁSTROJE > MOŽNOSTI > LIBRE OFFICE > POKROČILÉ. U mne se to pár sekund hledá ale pak najde všechny instalace a já jich tam mám celkem 5. Z toho jsou 3 od ORACLE a 2 nejstarší od SUN MICROSYSTEMS.
     V dialogu se pokuste najít pomocí tlačítek kde to máte uloženo. To je ele celkem složité. Musíte nejprve najít cestu potom zařadit příkaz Sheelu a dát cestu ke třídám - pokud je systém sám nenajde.


     Takže doporučuji odinstalovat z toho Vašeho adresáře a nainstalovat normálne. Počkejte jestli to Libre najde. Pokud ano - je vyhráno.


     Já staré instalace nechávám z toho důvodu, že užívám ješte také Apache Open Office které je na mne protivné a chce JRE často. Původně také pro makra.


     Popisovaná problematike se může týkat také postupu na 64 bitovém stroji který je pod starým Windows 32 bitů (XP, Vista).


     Libre Office Base by teoreticky mohla fungovat i bez JRE protože obsahuje vestavěné jádro pro databázi Firebird (zatímco má také JDBC - Apache má pouze Java databázi tedy JDBC jádro). Takže možná postačí jen to hlášení odsouhlasit a pojede to. Já to nevím protože JRE mám.


     Dále upozorňuji, že popis JDBC je následující cituji :
Java Database Connectivity (známé spíše jako JDBC) je API pro programátory v programovacím jazyku Java, které definuje jednotné rozhraní pro přístup k relačním databázím. JDBC je součástí Javy SE („Standard Edition") od JDK 1.1.


Pokud je Váš problém vyřešen, označte prosím svůj příspěvek za "VYŘEŠENÝ"
Zlepšíte tak orientaci na fóru při vyhledávání řešení problémů
JAK OZNAČIT TÉMA ZA VYŘEŠENÉ

Offline

#3 19. 11. 2017 15:32:45

JiriLibre
Člen
Registrace: 19. 11. 2017
Příspěvků: 1

Re: Vyžadováno JRE pro BASE

Instaloval jsem LibreOffice na OS X. Program nabíhá znatelně pomaleji než ve Windows. Když spustím Kresbu, program pracuje s několika sekundovým prodlením: vytvoři obdélník, posunout obdélník, přepínání funkcí atd. Co nemám nastaveno? V předvolbách jsem se pokoušel v sekci Paměť zvětšit paměť i 5x než ja nastaveno implicitně. Prosím o radu, jak problém vyřešit...

Offline

#4 19. 11. 2017 16:15:40

neutr
Člen
Registrace: 8. 3. 2007
Příspěvků: 2,405

Re: Vyžadováno JRE pro BASE

S OS X nemám žádnou zkušenost, ale mohlo by to být něco s nastavením OpenGL (Open Graphics Library)  a OpenCL (Open Computing Language). Podívejte se na NÁSTROJE > MOŽNOSTI > LIBRE OFFICE > ZOBRAZENÍ > GRAFICKÝ VÝSTUP. Zde musíte asi laborovat. Běžně to zlobí takže to doporučujeme vypnout.
     Jde o to, že grafická akcelerace může spíš brzdit tak jak popisujete. Je to určitý druh paralelizmu který teoreticky odlehčuje hlavním procesům. U starších strojů to ale nefunguje a zlobí to i určitého druhu nových grafických katet.


     pro jistotu se podívejte ještě na OpenCL : - NÁSTROJE > MOŽNOSTI > LIBRE OFFICE > OPENCL. Zde také otestujte. Je to sice pro výpočty ale používá se k tomu grafická karta.


Pokud je Váš problém vyřešen, označte prosím svůj příspěvek za "VYŘEŠENÝ"
Zlepšíte tak orientaci na fóru při vyhledávání řešení problémů
JAK OZNAČIT TÉMA ZA VYŘEŠENÉ

Offline

Zápatí